#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 41. Other X-based Programs

- Prev

  feh-3.6.3

- Next

  Gimp-2.10.22

- Up
- Home

# FontForge-20201107

## Introduction to FontForge

The FontForge package contains an outline font editor that lets you create your own postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap (bdf, FON, NFNT) fonts, or edit existing ones.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/fontforge/fontforge/releases/download/20201107/fontforge-20201107.tar.xz

- Download MD5 sum: efc0b3c79ba576133de70d67ccadcf24

- Download size: 14 MB

- Estimated disk space required: 167 MB (add 52 MB for the tests)

- Estimated build time: 0.2 SBU (with parallelism=4, add 0.1 SBU for the tests)

### FontForge Dependencies

#### Required

libspiro-20200505, libuninameslist-20200413, and libxml2-2.9.10

#### Recommended

GTK+-3.24.25

#### Optional

giflib-5.2.1, git-2.30.1, libjpeg-turbo-2.0.6, LibTIFF-4.2.0, WOFF2-1.0.2, and Sphinx (to build html documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/fontforge

## Installation of FontForge

Install FontForge by running the following commands:

    mkdir build &&
    cd build    &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -Wno-dev .. &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

If you have installed sphinx-build, HTML documentation was built and installed in `/usr/share/doc/fontforge`. To be able to access it as a versioned directory, create a symlink as the `root` user:

    ln -sv fontforge /usr/share/doc/fontforge-20201107

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to create an optimized release without debug information.

`-Wno-dev`: This switch is used to suppress warnings intended for the package's developers.

`-DENABLE_X11=ON`: use an X11 backend instead of GDK3 (gtk+-3) for basic Xorg graphics.

## Contents

Installed Programs: fontforge, fontimage, fontlint and sfddiff
Installed Library: libfontforge.so and /usr/lib/python3.9.2/site-packages/{fontforge,psMat}.so
Installed Directories: /usr/share/fontforge and optionally /usr/share/doc/fontforge{,-20201107}

### Short Descriptions

fontforge | is a program that allows you to create and modify font files
fontimage | is a program that produces an image showing representative glyphs of the font
fontlint | is a program that checks the font for certain common errors
sfddiff | is a program that compares two font files

Last updated on 2021-02-23 13:28:17 -0800

- Prev

  feh-3.6.3

- Next

  Gimp-2.10.22

- Up
- Home